- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
_WP5ContentParsingState Struct Reference

`#include <WP5ContentListener.h>`

## Public Member Functions
| _WP5ContentParsingState ()
| ~_WP5ContentParsingState ()

## Public Attributes
librevenge::RVNGString | m_textBuffer
librevenge::RVNGString | m_noteReference
WPXTableList | m_tableList
bool | m_isFrameOpened

## Constructor & Destructor Documentation

_WP5ContentParsingState::_WP5ContentParsingState | ( |  | ) |

_WP5ContentParsingState::~_WP5ContentParsingState | ( |  | ) |

## Member Data Documentation

bool _WP5ContentParsingState::m_isFrameOpened

Referenced by WP5ContentListener::boxOff(), WP5ContentListener::boxOn(), and WP5ContentListener::insertGraphicsData().

librevenge::RVNGString _WP5ContentParsingState::m_noteReference

Referenced by WP5ContentListener::insertNote(), and WP5ContentListener::insertNoteReference().

WPXTableList _WP5ContentParsingState::m_tableList

Referenced by WP5ContentListener::insertNote().

librevenge::RVNGString _WP5ContentParsingState::m_textBuffer

Referenced by WP5ContentListener::_flushText(), and WP5ContentListener::insertCharacter().

The documentation for this struct was generated from the following files:

- WP5ContentListener.h
- WP5ContentListener.cpp